%global sum	A Python client library for PostgreSQL
%global srcname	PyGreSQL
%global pgver	9.5

# Tests are disabled by default because PostgreSQL must be configured
# properly for the time zone the unit tests expect to pass.
%bcond_with tests

Name:		python-%{srcname}
Version:	5.0
Release:	%mkrel 3
Summary:	%{sum}

Group:		Development/Python
URL:		http://www.pygresql.org/
# Author states his intention is to dual license under PostgreSQL or Python
# licenses --- this is not too clear from the current tarball documentation,
# but hopefully will be clearer in future releases.
# The PostgreSQL license is very similar to other MIT licenses, but the OSI
# recognizes it as an independent license, so we do as well.
License:	PostgreSQL or Python

Source0:	http://www.pygresql.org/files/%{srcname}-%{version}.tar.gz

BuildRequires:	postgresql-devel >= %{pgver}
BuildRequires:	python2-devel
BuildRequires:  python-setuptools

BuildRequires:	python3-devel
BuildRequires:  python3-setuptools

%if %{with tests}
BuildRequires:	postgresql-server >= %{pgver}
%endif

%description
PostgreSQL is an advanced Object-Relational database management system.
The PyGreSQL package provides a module for developers to use when writing
Python code for accessing a PostgreSQL database.


%package -n python2-%{srcname}
Summary:	%{sum}
Group:		Development/Python
Provides:	python-%{srcname} = %{version}-%{release}
Provides:	python-%{srcname}%{?_isa} = %{version}-%{release}

%description -n python2-%{srcname}
PostgreSQL is an advanced Object-Relational database management system.
The PyGreSQL package provides a module for developers to use when writing
Python code for accessing a PostgreSQL database.

%package -n python3-%{srcname}
Summary:	%{sum}
Group:		Development/Python

%description -n python3-%{srcname}
PostgreSQL is an advanced Object-Relational database management system.
The PyGreSQL package provides a module for developers to use when writing
Python code for accessing a PostgreSQL database.

%prep
%setup -q -n %{srcname}-%{version}

# PyGreSQL releases have execute bits on all files
find -type f -exec chmod 644 {} +


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files -n python2-%{srcname}
%license docs/copyright.rst
%doc docs/*.rst
%{python2_sitearch}/*.so
%{python2_sitearch}/*.py
%{python2_sitearch}/*.pyc
%{python2_sitearch}/*.pyo
%{python2_sitearch}/*.egg-info


%files -n python3-%{srcname}
%license docs/copyright.rst
%doc docs/*.rst
%{python3_sitearch}/*.so
%{python3_sitearch}/*.py
%{python3_sitearch}/__pycache__/*.py{c,o}
%{python3_sitearch}/*.egg-info

%if %{with tests}
%check
pgdatadir=datadir
pghost=/tmp
pgport=54321
pgdb=unittest

pg_start ()
{
	initdb "$pgdatadir" -U $(id -u -n) \
		--auth-local=peer --auth-host=ident
	pg_ctl -D "$pgdatadir" -l logfile start -o "-k $pghost -p $pgport" -w
}

pg_stop ()
{
	pg_ctl -D "$pgdatadir" stop
}

pg_createdb ()
{
	createdb -h $pghost -p $pgport "$@"
}

pg_start
pg_createdb "$pgdb"
trap pg_stop EXIT

cat > LOCAL_PyGreSQL.py <<EOF
dbname = '$pgdb'
dbhost = '$pghost'
dbport = $pgport
EOF

%{__python2} setup.py test
%{__python3} setup.py test
%endif



%changelog
* Sun May 01 2016 ngompa <ngompa> 5.0-3.mga6
+ Revision: 1008475
- imported package python-PyGreSQL

